Package be.fgov.ehealth.aa.complextype.v1

# Class ProfessionalType

java.lang.Object
be.fgov.ehealth.aa.complextype.v1.ProfessionType
be.fgov.ehealth.aa.complextype.v1.ProfessionalType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:18:06+02:00", comments="JAXB RI v4.0.5") public class ProfessionalType extends ProfessionType implements Serializable
Info on profession and speciality.

Java class for ProfessionalType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ProfessionalType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:aa:complextype:v1}ProfessionType">
           <sequence>
             <element ref="{urn:be:fgov:ehealth:aa:complextype:v1}Speciality" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ProfessionalType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<Speciality>`
  `getSpecialities()`
  Gets the value of the specialities property.

  ### Methods inherited from class be.fgov.ehealth.aa.complextype.v1.ProfessionType

  `getAttributes, getProfessionCode, getProfessionFriendlyNames, setProfessionCode`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ProfessionalType

    public ProfessionalType()

- ## Method Details

  - ### getSpecialities

    public List<Speciality> getSpecialities()
    Gets the value of the specialities property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the specialities property.

    For example, to add a new item, do as follows:

         getSpecialities().add(newItem);

    Objects of the following type(s) are allowed in the list `Speciality`

    Returns:
      The value of the specialities property.